Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutDialog.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/AboutView.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/LogView.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/Plugin.cs.frame	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/Plugin.cs.frame	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Clients.Hive.Slave.Views {
-  [Plugin("HeuristicLab.Clients.Hive.Slave.Views", "3.3.13.$WCREV$")]
+  [Plugin("HeuristicLab.Clients.Hive.Slave.Views", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Clients.Hive.Slave.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Clients.Hive.SlaveCore", "3.3")]
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.13.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsBase.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveCmdsWithKill.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveItem.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveItem.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainView.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/TaskView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/TaskView.Designer.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/TaskView.Designer.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/TaskView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/TaskView.cs	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/TaskView.cs	(revision 16692)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/app.config
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/app.config	(revision 15697)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Clients.Hive.Slave.Views/3.3/app.config	(revision 16692)
@@ -1,40 +1,46 @@
 <?xml version="1.0" encoding="utf-8"?>
 <configuration>
-    <configSections>
-        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-            <section name="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
-        </sectionGroup>
-        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-            <section name="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
-        </sectionGroup>
-    </configSections>
-    <userSettings>
-        <HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
-            <setting name="ShowBalloonTips" serializeAs="String">
-                <value>False</value>
-            </setting>
-            <setting name="ShowUICmd" serializeAs="String">
-                <value>showui</value>
-            </setting>
-            <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
-                <value>SlaveCommunicationServiceEndpoint</value>
-            </setting>
-            <setting name="ServiceName" serializeAs="String">
-                <value>HeuristicLab.Clients.Hive.Slave</value>
-            </setting>
-            <setting name="ServiceStartStopTimeout" serializeAs="String">
-                <value>00:00:20</value>
-            </setting>
-            <setting name="ServiceReconnectTimeout" serializeAs="String">
-                <value>00:00:03</value>
-            </setting>
-        </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
-    </userSettings>
-    <applicationSettings>
-        <HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
-            <setting name="MaxLogCount" serializeAs="String">
-                <value>1000</value>
-            </setting>
-        </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
-    </applicationSettings>
-<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/></startup></configuration>
+  <configSections>
+    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
+    </sectionGroup>
+    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
+    </sectionGroup>
+  </configSections>
+  
+  <userSettings>
+    <HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+      <setting name="ShowBalloonTips" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="ShowUICmd" serializeAs="String">
+        <value>showui</value>
+      </setting>
+      <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+        <value>SlaveCommunicationServiceEndpoint</value>
+      </setting>
+      <setting name="ServiceName" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive.Slave</value>
+      </setting>
+      <setting name="ServiceStartStopTimeout" serializeAs="String">
+        <value>00:00:20</value>
+      </setting>
+      <setting name="ServiceReconnectTimeout" serializeAs="String">
+        <value>00:00:03</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+  </userSettings>
+  
+  <applicationSettings>
+    <HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+      <setting name="MaxLogCount" serializeAs="String">
+        <value>1000</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+  </applicationSettings>
+  
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
+  </startup>
+</configuration>
